net.sf.jasperreports.components.sort

## Class SortElementHtmlHandler

- java.lang.Object
- - net.sf.jasperreports.components.BaseElementHtmlHandler
  - - net.sf.jasperreports.components.sort.SortElementHtmlHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementHtmlHandler

      public class SortElementHtmlHandler
      extends BaseElementHtmlHandler

  Version:
    $Id:ChartThemesUtilities.java 2595 2009-02-10 17:56:51Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `CSS_TEXT_ALIGN_LEFT`
    `protected static java.lang.String` | `FILTER_SYMBOL_ACTIVE`
    `protected static java.lang.String` | `FILTER_SYMBOL_INACTIVE`
    `protected static java.lang.String` | `HTML_VERTICAL_ALIGN_TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortElementHtmlHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `getFieldFilters(DatasetFilter existingFilter, java.util.List<FieldFilter> fieldFilters, java.lang.String fieldName)`
    `java.lang.String` | `getHtmlFragment(JRHtmlExporterContext context, JRGenericPrintElement element)` Returns an HTML fragment that is to be inserted in the export output.
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTML_VERTICAL_ALIGN_TOP

          protected static final java.lang.String HTML_VERTICAL_ALIGN_TOP

      See Also:
        Constant Field Values

    - #### CSS_TEXT_ALIGN_LEFT

          protected static final java.lang.String CSS_TEXT_ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### FILTER_SYMBOL_ACTIVE

          protected static final java.lang.String FILTER_SYMBOL_ACTIVE

      See Also:
        Constant Field Values

    - #### FILTER_SYMBOL_INACTIVE

          protected static final java.lang.String FILTER_SYMBOL_INACTIVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SortElementHtmlHandler

          public SortElementHtmlHandler()

  - ### Method Detail

    - #### getHtmlFragment

          public java.lang.String getHtmlFragment(JRHtmlExporterContext context,
                                         JRGenericPrintElement element)

      Description copied from interface: `GenericElementHtmlHandler`
      Returns an HTML fragment that is to be inserted in the export output.
        `element` - the generic print element
      Returns:
        the HTML fragment that represents the exported element

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

    - #### getFieldFilters

          public static void getFieldFilters(DatasetFilter existingFilter,
                             java.util.List<FieldFilter> fieldFilters,
                             java.lang.String fieldName)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com